{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <h1 class="text-center blanco-text">NUEVO INGREDIENTE</h1>
    <div class="row justify-content-center">
        <div class="col-md-6">
            <form class="" action="/guardarIngrediente/" method="post" enctype="multipart/form-data" id="frm_nuevo_ingre">
                {% csrf_token %}
                <div class="mb-3">
                <label for="nombre_bf" class="form-label blanco-text">Nombre del Ingrediente:</label>
                    <input type="text" name="nombre_bf" id="nombre_bf" value="" placeholder="Ingrese el Nombre del Ingrediente:" class="form-control" required>
                </div>
                <div class="mb-3">
                  <label for="cantidad_disponible_bf" class="form-label blanco-text">Cantidad Disponible:</label>
                    <input type="number" name="cantidad_disponible_bf" id="cantidad_disponible_bf" value="" placeholder="Ingrese la Cantidad de Ingredientes Disponibles:" class="form-control" required>
                </div>
                <div class="mb-3">
                  <label for="fecha_expiracion_bf" class="form-label blanco-text">Fecha de expiracion:</label>
                    <input type="date" name="fecha_expiracion_bf" id="fecha_expiracion_bf" value="" placeholder="Ingrese la Fecha de Expiración:" class="form-control" required>
                </div>
                <div class="mb-3">
                    <label for="imagen_bf" class="form-label blanco-text">Fotografia:</label>
                    <br>
                    <input type="file" id="imagen_bf" name="imagen_bf" accept="image/*" placeholder="Ingrese la imagen del Ingrediente" value="">
                </div>
                <div class="text-center">
                    <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-md-12">
            <br>
            <h1 class="text-center blanco-textx ">LISTADO INGREDIENTES</h1>
            <table class="table" id="tbl_ingre">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>NOMBRE</th>
                        <th>CANTIDAD DISPONIBLE</th>
                        <th>FECHA DE EXPIRACION</th>
                        <th>IMAGEN</th>
                        <th>ACCIONES</th>
                    </tr>
                </thead>
                <TBody>
                    {% for ingrediente in ingredientes %}
                        <tr>
                            <td>{{ ingrediente.id_bf }}</td>
                            <td>{{ ingrediente.nombre_bf }}</td>
                            <td>{{ ingrediente.cantidad_disponible_bf }}</td>
                            <td>{{ ingrediente.fecha_expiracion_bf }}</td>
                            <td>
                                {% if ingrediente.imagen_bf %}
                                <a href="{{ ingrediente.imagen_bf.url }}" target="_blank"><img src="{{ ingrediente.imagen_bf.url }}" alt="" height="80px"></a>
                                {% else %}
                                <b>N/A</b>
                                {% endif %}
                            </td>
                            <td>
                                <a href="/editarIngrediente/{{ ingrediente.id_bf }}" class="btn btn-warning">Editar</a>
                                <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarIngrediente('/eliminarIngrediente/{{ ingrediente.id_bf }}');">Borrar</a>
                            </td>
                        </tr>
                    {% endfor %}
                </TBody>
            </table>
        </div>
    </div>

    <script type="text/javascript">
        function eliminarIngrediente(url){
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el <h6> {{ cliente.id }} </h6> seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href = url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>

    <script type="text/javascript">
        $("#frm_nuevo_ingre").validate({
            rules: {
                "nombre_bf": {
                    required: true,
                    text: false
                },
                "cantidad_disponible_bf": {
                    required: true,
                    number: true
                },
                "fecha_expiracion_bf": {
                    required: true
                },
                "imagen_bf": {
                    required: true
                }
            },
            messages: {
                "nombre_bf": {
                    required: "Por favor Ingrese un Ingrediente",
                    text: "Debe ingresar solo letras"
                },
                "cantidad_disponible_bf": {
                    required: "Debe Ingresar una Cantidad",
                    number: "Debe Ingresar Solo Numeros"
                },
                "fecha_expiracion_bf": {
                    required: "Debe ingresar una fecha de expiracion"
                },
                "imagen_bf": {
                    required: "Debe ingresar una imagen valida"
                }
            }
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#tbl_ingre').DataTable({
                dom: 'Bfrtip',
                language: {
                    url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                },
                buttons: [
                    {
                        extend: 'pdfHtml5',
                        text: '<i class="fa fa-file-pdf-o"></i> PDF',
                        titleAttr: 'Exportar a PDF',
                        className: 'btn btn-danger', // Clase de estilo para el botón
                        title: 'LISTADO INGREDIENTES'
                    },
                    {
                        extend: 'print',
                        text: '<i class="fa fa-print"></i> Imprimir',
                        titleAttr: 'Imprimir',
                        className: 'btn btn-primary',
                        title: 'LISTADO INGREDIENTES'

                    },
                    {
                        extend: 'csv',
                        text: '<i class="fa fa-file-text-o"></i> CSV',
                        titleAttr: 'Exportar a CSV',
                        className: 'btn btn-success' // Clase de estilo para el botón
                    }
                ]
            });

            // Eventos de clic para los botones personalizados
            $('#export-pdf').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-pdf').trigger();
            });

            $('#print-table').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-print').trigger();
            });

            $('#export-csv').on('click', function() {
                $('#tbl_platillo').DataTable().button('.buttons-csv').trigger();
            });
        });
    </script>
{% endblock %}
